package com.ifish.enums;

import com.alibaba.fastjson.JSONObject;

public enum UeditorTypeEnum {
	yespinglun("1","可评论"),
	nopinglun("0","不可评论");
	
	private UeditorTypeEnum(String key,String value){
		this.key = key;
		this.value = value;
	}
	
	private String key;
	private String value;
	
	//普通方法
	public static JSONObject getJson() {
		JSONObject json = new JSONObject();
		for (UeditorTypeEnum ueditorTypeEnumEnum : UeditorTypeEnum.values()) {
			json.put(ueditorTypeEnumEnum.getKey(), ueditorTypeEnumEnum.getValue());
		}
		return json;
	}
		
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
	
}
